# Primitive Class `Flow.LensFlare`

Represents a global lens flare (not to be confused with lensflare object).

## Functions

LensFlare(Pitch, Yaw, Color.) | Create a LensFlare object.
LensFlare:GetEnabled() | Get the lens flare's enabled status.
LensFlare:GetSunSpriteID() | Get the sun's sprite ID.
LensFlare:GetPitch() | Get the lens flare's pitch angle in degrees.
LensFlare:GetYaw() | Get the lens flare's yaw angle in degrees.
LensFlare:SetColor() | Get the lens flare's color.
LensFlare:SetSunSpriteID(New) | Set the lens flare's sun sprite ID.
LensFlare:SetPitch(New) | Set the lens flare's pitch angle.
LensFlare:SetYaw(New) | Set the lens flare's yaw angle.
LensFlare:SetColor(New) | Set the lens flare's color.

## Functions

LensFlare(Pitch, Yaw, Color.)
  Create a LensFlare object. ()

  ### Parameters:

  - Pitch float angle in degrees.
  - Yaw float angle in degrees.
  - Color. Color

  ### Returns:

  LensFlare A new LensFlare object.
LensFlare:GetEnabled()
  Get the lens flare's enabled status. ()

  ### Returns:

  bool Lens flare's enabled status.
LensFlare:GetSunSpriteID()
  Get the sun's sprite ID. ()

  ### Returns:

  int Sprite ID.
LensFlare:GetPitch()
  Get the lens flare's pitch angle in degrees. ()

  ### Returns:

  float Pitch angle in degrees.
LensFlare:GetYaw()
  Get the lens flare's yaw angle in degrees. ()

  ### Returns:

  float Yaw angle in degrees.
LensFlare:SetColor()
  Get the lens flare's color. ()
LensFlare:SetSunSpriteID(New)
  Set the lens flare's sun sprite ID. ()

  ### Parameters:

  - New int sprite ID.
LensFlare:SetPitch(New)
  Set the lens flare's pitch angle. (float)

  ### Parameters:

  - New float pitch angle in degrees.
LensFlare:SetYaw(New)
  Set the lens flare's yaw angle. (float)

  ### Parameters:

  - New float yaw angle in degrees.
LensFlare:SetColor(New)
  Set the lens flare's color. (Color)

  ### Parameters:

  - New Color color.

generated by TEN-LDoc (a fork of LDoc 1.4.6)